Bug 565844 - Review Request: intellij-idea - IntelliJ IDEA Community Edition IDE
Review Request: intellij-idea - IntelliJ IDEA Community Edition IDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
F13FeatureIDEA
:
Depends On: 567419
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-16 09:21 EST by Lubomir Rintel
Modified: 2010-03-23 04:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 04:53:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2010-02-16 09:21:43 EST
SPEC: http://v3.sk/~lkundrak/SPECS/intellij-idea.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/intellij-idea-9.0.1.94.310-1.fc12.src.rpm

Description:

IntelliJ IDEA Community Edition features an intelligent code editor that has
all the smarts for understanding Java code; provides refactorings, code
inspections and intentions, super-fast navigation and search. It integrates
with such essential tools as JUnit and TestNG, Ant and Maven, and popular
version control systems: CVS, Subversion and git. XML-Java interoperability
and comprehensive Groovy language support are complemented by the Swing UI
designer providing the suite of tools for developing Java desktop
applications - such as IntelliJ IDEA itself.
Comment 1 Lubomir Rintel 2010-02-16 09:22:30 EST
It may be helpful for the reviewer to skip through this:
https://fedoraproject.org/wiki/Features/IntelliJ_IDEA
Comment 2 Lubomir Rintel 2010-02-16 09:39:37 EST
Doesn't build against rawhide currently, thus not completely ready for review. (It builds in F-12 with extra dependencies from Rawhide though)

http://koji.fedoraproject.org/koji/taskinfo?taskID=1990860
Comment 3 Lubomir Rintel 2010-02-16 16:32:37 EST
\o/ built
http://koji.fedoraproject.org/koji/taskinfo?taskID=1991863
Comment 5 Marek Mahut 2010-02-21 06:54:10 EST
Taking this for review.
Comment 6 Marek Mahut 2010-02-21 06:54:37 EST
Taking this for review.
Comment 7 Lubomir Rintel 2010-02-23 04:23:13 EST
Made it build without bundled jps. It depends on jps (bug #567419) which in turn itself depends on idea itself, therefore both were made optionaly bootstrapable (with prebuilt blobs).

SPEC: http://v3.sk/~lkundrak/SPECS/intellij-idea.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/intellij-idea-9.0.1.94.310-3.fc12.src.rpm
Comment 8 Lubomir Rintel 2010-02-24 03:33:33 EST
Enable most plugins back (groovy, svn, cvs ...), only maven is left disabled until we pull in archetype and nexus indexer.

Note that for SVN plugin to build a bug #567781 change in svnkit is needed.

Also, patches for trileadd-ssh2 that upstream used are apparently missing. They are required for ssh via sock proxy support in cvs plugin which is now torn off. Sources were requested from upstream.

SPEC: http://v3.sk/~lkundrak/SPECS/intellij-idea.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/intellij-idea-9.0.1.94.310-4.fc12.src.rpm
Comment 9 Lubomir Rintel 2010-02-25 14:02:44 EST
SPEC: http://v3.sk/~lkundrak/SPECS/intellij-idea.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/intellij-idea-9.0.1.94.393-4.fc12.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=2014319

A "reviewable" version, i.e. self-hosting buildable with what is currently in Fedora.
Comment 10 Marek Mahut 2010-03-02 12:20:07 EST
- Package meets naming and packaging guidelines
- Spec file matches base package name.
- Spec has consistant macro usage
- Meets Packaging Guidelines
- Spec is legible
- BuildRequires correct
- Package has %defattr and permissions on files is good.
- Package has a correct %clean section.
- Package has correct buildroot
- Package is a GUI app and has a .desktop file
- Package compiles and builds on at least one arch

Issues and questions

1. Are you sure we can mix SPL with GPLv2?

2. rpmlint output

intellij-idea.i686: E: explicit-lib-dependency cglib
intellij-idea.i686: E: devel-dependency java-1.6.0-openjdk-devel
intellij-idea.i686: W: incoherent-version-in-changelog 9.0.1.94.310-4 ['9.0.1.94.393-4.fc14', '9.0.1.94.393-4']
intellij-idea.i686: W: unstripped-binary-or-object /usr/lib/idea/bin/libbreakgen.so

3. Are you in touch with upstream regarding your patches?

4. Do you plan to progressively work on enabling other modules?
Comment 11 Lubomir Rintel 2010-03-02 12:40:10 EST
(In reply to comment #10)
> Issues and questions
> 
> 1. Are you sure we can mix SPL with GPLv2?

No, not sure. Will find out.

> 2. rpmlint output
> 
> intellij-idea.i686: E: explicit-lib-dependency cglib

This is ok, the package is not a library package in a sense that it does not contain natively executable code.

> intellij-idea.i686: E: devel-dependency java-1.6.0-openjdk-devel

This is ok, we need the JDK since we are a developer tool (idea even provides ant tasks to compile and instrument code, javac is vital).

> intellij-idea.i686: W: incoherent-version-in-changelog 9.0.1.94.310-4
> ['9.0.1.94.393-4.fc14', '9.0.1.94.393-4']

Will fix upon next rebase.

> intellij-idea.i686: W: unstripped-binary-or-object
> /usr/lib/idea/bin/libbreakgen.so

This shouldn't have happened, I'll need to find out why didn't it get stripped.

> 3. Are you in touch with upstream regarding your patches?

Most of the patches are build-related and are not upstreamable.
The rest are rebases to later versions of libraries, would break upstreamwards.
I'm in touch with upstream regarding usptreaming their changes to stock components though :)

> 4. Do you plan to progressively work on enabling other modules?    

Yes, see the feature page. What's left is basically just Maven, which has unsatisfied dependencies now.
Comment 12 Lubomir Rintel 2010-03-19 03:42:11 EDT
(In reply to comment #11)
> (In reply to comment #10)
> > Issues and questions
> > 
> > 1. Are you sure we can mix SPL with GPLv2?
> 
> No, not sure. Will find out.

Asked spot; we finally found out that eawtstub is dually licensed with CDDL, which is ok. Adjusted the license tag.

> > intellij-idea.i686: W: incoherent-version-in-changelog 9.0.1.94.310-4
> > ['9.0.1.94.393-4.fc14', '9.0.1.94.393-4']
> 
> Will fix upon next rebase.

Done.

> > intellij-idea.i686: W: unstripped-binary-or-object
> > /usr/lib/idea/bin/libbreakgen.so
> 
> This shouldn't have happened, I'll need to find out why didn't it get stripped.

Should be fixed.

SPEC: http://v3.sk/~lkundrak/SPECS/intellij-idea.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/intellij-idea-9.0.1.94.393-5.fc14.src.rpm

(not fully uploaded yet, will take ~10 minutes)
Comment 13 Marek Mahut 2010-03-22 16:38:21 EDT
Thanks, I see no other issues with this package. Keep up good work, approved.

The scratch build for reference: http://koji.fedoraproject.org/koji/taskinfo?taskID=2068672
Comment 14 Lubomir Rintel 2010-03-22 16:44:57 EDT
New Package CVS Request
=======================
Package Name: intellij-idea
Short Description: IntelliJ IDEA Community Edition IDE
Owners: lkundrak
Branches: F-12 F-13 EL-5
Comment 15 Huzaifa S. Sidhpurwala 2010-03-23 03:41:08 EDT
cvs done
Comment 16 Lubomir Rintel 2010-03-23 04:53:04 EDT
Imported and built, thank you.

Note You need to log in before you can comment on or make changes to this bug.